:root {
	/* KIFO */
	--LeadColor: #72AFD5;
	--LeadColor-hsl: hsl(203, 54%, 64%);
}

input[type="text"], input[type="url"], input[type="search"], input[type="email"], input[type="password"], input[type="tel"], 
input[type="time"], input[type="number"], input[type="date"], select, textarea {
    background:auto;
    color:black;
    padding: 0.5rem 0.8rem;
	height: auto;
	margin: 5px 0;
	border:1px solid black;
}

select {appearance:auto;}
body select option {background:white;color:black;}
option:disabled {
	color: #999; /* Textfarbe für deaktiviertes Element */
  }

.wgl-style-input input[type="radio"], .wgl-style-input input[type="checkbox"] {
	appearance:auto;
	width:1.3rem;
	height:1.3rem;
}

.webling-form__group--field-50-left {
	width: 50%;
	float: left;
	padding-right: 5%;
	clear: both;
}

.webling-form__group--field-50-left-alone {
	width: 100%;
	float: left;
}

.webling-form__group--field-50-left-alone input, 
.webling-form__group--field-50-left-alone select {
	width:45%;
	padding-right:5%;
}


.webling-form__group--field-50-right {
	width: 50%;
	float: left;
}

.webling-form__group--field-hide {
  display:none;
}
	
.error-message, .webling-form__required {
	color:red;
}
	
.webling-form__label {
	font-weight:bold;
}

.webling-form__group {
	margin:0 0 1.5rem 0;
}

h2 {
	margin:3rem 0 1rem 0;
}

.has-sm-font-size {
	font-size: 16px;
}

input[type="number"] {
	width: 18%;
	padding: 0.2rem 1%;
	line-height: 3rem;
}

#webling-form__submit {
	margin:2rem 0;
}

@keyframes einblenden {
	0% {
	  opacity: 0; /* Start-Transparenz */
	  transform: translate(-4rem,0);
	}
	100% {
	  opacity: 1; /* Ziel-Transparenz (vollständig eingeblendet) */
	  transform: translate(0rem,0);
	}
  }

@media (max-width: 921px) {
    .webling-form__group--field-50-left, 
	.webling-form__group--field-50-right, 
	.webling-form__group--field-50-right input,
	.webling-form__group--field-50-left-alone, 
	.webling-form__group--field-50-left-alone input, 
	.webling-form__group--field-50-left select {
		width: 100%;
		float: none;
		padding-right: 0%;
    }
}

/* Melo */
.webling-form__group--field-AngabenUebernehmen,
.webling-form__group--field-NeueGruppe,
.webling-form__group--field-Angabenbernehmen,
.webling-form__group--field-VornameGruppenleiterin,
.webling-form__group--field-NachnameGruppenleiterin,
.webling-form__group--field-EMailGruppenleiterin,
.webling-form__group--field-MobileGruppenleiterin {
	background: #006993;
	color:white;
	padding: 1rem 2rem;
	margin:0 !important;
}
.webling-form__group--field-NeueGruppe input[type="text"],
.webling-form__group--field-Angabenbernehmen input[type="text"],
.webling-form__group--field-VornameGruppenleiterin input[type="text"],
.webling-form__group--field-NachnameGruppenleiterin input[type="text"],
.webling-form__group--field-EMailGruppenleiterin input[type="text"],
.webling-form__group--field-MobileGruppenleiterin input[type="text"] {
	margin:0;
}
.webling-form__group--field-NeueGruppe:before {
	content: 'Neue Gruppe starten';
	font-size:1.6rem;
	font-weight:bold;
	display:block;
	padding-bottom:1rem;
}

/* Newleaders */
.webling-form__group--field-AngabenUebernehmen,
.webling-form__group--field-GruppenleiterneuesTeam,
.webling-form__group--field-GruppenleiterVorname,
.webling-form__group--field-GruppenleiterNachname,
.webling-form__group--field-GruppenleiterEMail,
.webling-form__group--field-GruppenleiterTeamgrsse {
	background: #209289;
	color:white;
	padding: 1rem 2rem;
	margin:0 !important;
}
.webling-form__group--field-GruppenleiterneuesTeam input[type="text"],
.webling-form__group--field-GruppenleiterVorname input[type="text"],
.webling-form__group--field-GruppenleiterNachname input[type="text"],
.webling-form__group--field-GruppenleiterEMail input[type="text"],
.webling-form__group--field-GruppenleiterTeamgrsse input[type="text"] {
	margin:0;
	padding-left:5%;
}




.ticketpreis { /* GAnzes Paket */
	display:flex;
}

.ticket_preisbereich {
	color:black;
	font-weight:bold;
	/*margin-bottom: 1rem;*/
	display:flex;
	gap:0.5rem;
}

.ticket_preisbereich_waehrung {
	font-weight:normal;
	text-align: right;
}

.ticket_preisbereich_aufsplittung {
	display:block;
	font-size:0.8rem;
	font-weight:normal;
}
	
#ticketpreis {
	/*border:1px solid black;*/
	font-size:1.1rem;
	border-radius:3px;
	/*padding:0.7rem;*/
	margin:0 0.5rem;
	color: black;
	/*background-color: #FAEA00;*/
	display:inline-block;
	font-weight:bold;
	/*min-height:79px;
	min-width:141px;*/
}

.webling-form__group--field-SCM .webling-form__label, .webling-form__group--field-SCMInfo {
	display:none;
}

#divSearchInput {
	position: relative;
	width: fit-content;
}

#searchInput {
	margin: 1rem 0;
	position: relative;
    padding-right: 20px; /* Platz für das Lösch-X einfügen */
}

#clearSearchInput {
    position: absolute;
    right: 10px; /* Abstand zum rechten Rand des Suchfelds */
    top: 58%; /* Zentriert vertikal */
    transform: translateY(-50%); /* Zentriert vertikal */
    cursor: pointer; /* Zeiger-Cursor, um anklickbar anzuzeigen */
	font-size:1.3em;
}

#clearSearchInput svg {
	fill: rgba(0,0,0,0.6);
}

.newleaders_ticketpreise, .ticketpreis, .newleaders_hl-rabatt {
	font-size:0.9rem;
	color:#209289;
	padding:1rem;
	border: 1px solid #209289;
	background: rgba(32,146,137,0.2);
	border-radius:0.2rem;
	transition: height 0.5s;
}

.newleaders_ticketpreise {
	width: fit-content;
	color:#C9B148;
	padding:1rem;
	border: 1px solid #C9B148;
	background: rgba(201, 177, 72, 0.1);		
}

.webling_info {
	color: var(--LeadColor);
	border: 1px solid var(--LeadColor);
	background: hsl(var(--LeadColor-hsl), calc(50% + 20%));
	width: fit-content;
	padding: 1rem;
	border-radius:0.2rem;
}

/* Behandelt das Problem, dass bei Autofill des Browser die Schrift weiss auf weiss ist */
input:-webkit-autofill {
    -webkit-box-shadow:0 0 0 50px white inset; /* Change the color to your own background color */
    -webkit-text-fill-color: #333;
}

input:-webkit-autofill:focus, input:-webkit-autofill:hover {
    -webkit-box-shadow: 0 0 0 50px white inset;/*your box-shadow*/
    -webkit-text-fill-color: #333;
} 